# class CustomEditor

###

Module | kdeui
Namespace | KEditListBox
Class | CustomEditor
Inherits |

Custom editor class

### methods

- CustomEditor ( )

  returns ctor

- CustomEditor (repWidget, edit)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  repWidget | QWidget |
  edit | KLineEdit |

- CustomEditor (combo)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  combo | KComboBox |

- CustomEditor (a0)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  a0 | KEditListBox.CustomEditor |

- lineEdit ( )

  returns KLineEdit

- representationWidget ( )

  returns QWidget

- setLineEdit (edit)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  edit | KLineEdit |

- setRepresentationWidget (repWidget)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  repWidget | QWidget |